"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactMarkdown = _interopRequireDefault(require("react-markdown"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Content(_ref) {
  var content = _ref.content,
      className = _ref.className;
  if (!content) return null;
  var html = content.html,
      md = content.md;

  if (html) {
    return _react.default.createElement("div", {
      "data-component": "Html",
      className: className,
      dangerouslySetInnerHTML: {
        __html: html
      }
    });
  }

  return _react.default.createElement("div", {
    "data-component": "Markdown",
    className: className
  }, _react.default.createElement(_reactMarkdown.default, {
    source: md || ''
  }));
}

Content.defaultProps = {
  className: ''
};
var _default = Content;
exports.default = _default;