"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _IconItem = _interopRequireDefault(require("../IconItem"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function IconItemList(_ref) {
  var items = _ref.items,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme;
  return _react.default.createElement("div", {
    "data-component": "IconItemList",
    className: theme.root
  }, (items || []).map(function (item, idx) {
    return _react.default.createElement("div", {
      key: idx,
      className: theme.itemWrapper
    }, _react.default.createElement(_IconItem.default, _extends({}, item, {
      theme: theme.item
    })));
  }));
}

var _default = IconItemList;
exports.default = _default;