"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.imageFromId = imageFromId;
exports.template = void 0;

var _interpolate = _interopRequireDefault(require("interpolate"));

var _config = require("../../config");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable camelcase */
var template = '//res.cloudinary.com/{cloud}/image/upload{transform}/{public_id}';
exports.template = template;

function imageFromId(_ref) {
  var cloud = _ref.cloud,
      _ref$transform = _ref.transform,
      transform = _ref$transform === void 0 ? '' : _ref$transform,
      public_id = _ref.public_id;
  return (0, _interpolate.default)(template, {
    public_id: public_id,
    transform: transform,
    cloud: cloud || (0, _config.getCloudinaryUsername)()
  });
}