"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = _interopRequireDefault(require("../Text"));

var _Icon = _interopRequireDefault(require("../Icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function KeyValueItem(_ref) {
  var icon = _ref.icon,
      label = _ref.label,
      value = _ref.value,
      _ref$theme = _ref.theme,
      theme = _ref$theme === void 0 ? {} : _ref$theme;
  return _react.default.createElement("div", {
    "data-component": "KeyValueItem",
    className: theme.root
  }, label && _react.default.createElement(_Text.default, {
    "data-element": "Label",
    className: theme.label,
    wrapperClassName: theme.labelWrapper
  }, icon && _react.default.createElement(_Icon.default, {
    icon: icon,
    className: theme.icon
  }), label), value && _react.default.createElement(_Text.default, {
    "data-element": "Value",
    className: theme.value,
    wrapperClassName: theme.valueWrapper
  }, value));
}

var _default = KeyValueItem;
exports.default = _default;