## Use src
```jsx
<Image
  image={{ src: "https://source.unsplash.com/user/erondu/1600x900" }}
/>
```

## Use Cloudinary (with default option)
```jsx
<Image
  image={{
    cloudinary: {
      username: 'lh-imagecloud',
      id: 'css-code_t7qmyu.jpg',
    },
  }}
/>
```

Use Cloudinary (in box with size = 200x200)
```jsx
<div className="center" style={{ width: 200, height: 200 }}>
  <Image
    image={{
      cloudinary: {
        username: 'lh-imagecloud',
        id: 'css-code_t7qmyu.jpg',
      },
    }}
  />
</div>
```

## Use Cloudinary (in box with size = 200x200, autoScale = false)
```jsx
<div className="center" style={{ width: 200, height: 200 }}>
  <Image
    image={{
      cloudinary: {
        username: 'lh-imagecloud',
        id: 'css-code_t7qmyu.jpg',
      },
    }}
    autoScale={false}
  />
</div>
```
