/* eslint-disable */

export default {
  'center-circle': `
#loader {
  margin: auto;
  width: 70px;
  height: 70px;
  border-style: solid;
  border-left-color: transparent;
  border-bottom-color: transparent;
  border-radius: 50%;
  box-sizing: border-box;
  animation: rotate 3s ease-in-out infinite;
  transform: rotate(-200deg);
}
@keyframes rotate {
  0% {
    border-width: 10px;
  }
  25% {
    border-width: 3px;
  }
  50% {
    transform: rotate(115deg);
    border-width: 10px;
  }
  75% {
    border-width: 3px;
  }
  100% {
    border-width: 10px;
  }
}
@keyframes fadeIn {
  to {
    opacity: 1;
  }
}
@keyframes fadeOut {
  to {
    opacity: 0;
  }
}
`,

  'topleft-circle': `
#loader {
	position: fixed;
	top: 0;
	right: 0;
	width: 300px;
	height: 300px;
	background: #ed4e6e;
	-webkit-transition: -webkit-transform 0.3s;
	transition: transform 0.3s;
	-webkit-transform: translateX(50%) translateY(-50%) rotate(45deg);
	transform: translateX(50%) translateY(-50%) rotate(45deg);
	pointer-events: none;
}
#loader::before,
#loader::after {
	position: absolute;
	bottom: 30px;
	left: 50%;
	display: block;
	border: 5px solid #fff;
	border-radius: 50%;
	content: '';
}
#loader::before {
	margin-left: -40px;
	width: 80px;
	height: 80px;
	border-right-color: #bb344f;
	border-left-color: #bb344f;
	-webkit-animation: rotation 3s linear infinite;
	animation: rotation 3s linear infinite;
}
#loader::after {
	bottom: 50px;
	margin-left: -20px;
	width: 40px;
	height: 40px;
	border-top-color: #bb344f;
	border-bottom-color: #bb344f;
	-webkit-animation: rotation 1s linear infinite;
	animation: rotation 1s linear infinite;
}
@-webkit-keyframes rotation {
	0% 		{ -webkit-transform: rotate(0deg); }
	50% 	{ -webkit-transform: rotate(180deg); }
	100% 	{ -webkit-transform: rotate(360deg); }
}
@keyframes rotation {
	0% 		{ transform: rotate(0deg); }
	50% 	{ transform: rotate(180deg); }
	100% 	{ transform: rotate(360deg); }
}
`,
}
