"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _index = _interopRequireDefault(require("./index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _react2.storiesOf)('Custom Image', module).add('Use Cloudinary (in box with size = 200x200)', function () {
  return _react.default.createElement("div", {
    className: "center",
    style: {
      width: 200,
      height: 200
    }
  }, _react.default.createElement(_index.default, {
    size: {
      width: 200,
      height: 200
    },
    image: {
      cloudinary: {
        username: 'lh-imagecloud',
        id: 'css-code_t7qmyu.jpg'
      }
    }
  }));
}).add('Use Cloudinary (in box with size = 300x300, autoScale = false)', function () {
  return _react.default.createElement(_index.default, {
    size: {
      width: 300,
      height: 300
    },
    image: {
      cloudinary: {
        username: 'lh-imagecloud',
        id: 'css-code_t7qmyu.jpg'
      }
    },
    autoScale: false
  });
});