"use strict";

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _ = _interopRequireDefault(require("../"));

var _ScrollLink = _interopRequireDefault(require("./examples/ScrollLink"));

var _ActionLink = _interopRequireDefault(require("./examples/ActionLink"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var links = [_react.default.createElement(_.default, {
  icon: "fa-check",
  href: "https://www.google.com"
}, "Google"), _react.default.createElement(_.default, {
  theme: {
    root: 'pa2 flex items-center gray ba b--light-gray',
    text: ''
  },
  href: "https://www.google.com"
}, "Google")];
(0, _react2.storiesOf)('Link', module).add('With styling', function () {
  return _react.default.createElement("div", {
    className: "flex items-center"
  }, links.map(function (item, idx) {
    return _react.default.createElement("div", {
      key: idx,
      className: "pa2"
    }, item);
  }));
}).add('Use Href', function () {
  return _react.default.createElement("div", null, _react.default.createElement(_.default, {
    href: "https://www.google.com"
  }, "Google"));
}).add('Scroll Link', function () {
  return _react.default.createElement(_ScrollLink.default, null);
}).add('Action Link', function () {
  return _react.default.createElement(_ActionLink.default, null);
});