"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _recompose = require("recompose");

var _reactGoogleMaps = require("react-google-maps");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Map = (0, _recompose.compose)(_reactGoogleMaps.withScriptjs, _reactGoogleMaps.withGoogleMap)(function (_ref) {
  var markers = _ref.markers,
      center = _ref.center,
      _ref$options = _ref.options;
  _ref$options = _ref$options === void 0 ? {} : _ref$options;
  var _ref$options$zoom = _ref$options.zoom,
      zoom = _ref$options$zoom === void 0 ? 12 : _ref$options$zoom;
  return _react.default.createElement(_reactGoogleMaps.GoogleMap, {
    defaultZoom: zoom,
    defaultCenter: center
  }, markers && markers.map(function (marker, idx) {
    return _react.default.createElement(_reactGoogleMaps.Marker, {
      key: idx,
      position: marker,
      defaultAnimation: 2
    });
  }));
});
var _default = Map;
exports.default = _default;