"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _reducer = _interopRequireDefault(require("../redux/reducer"));

var _configureStore = _interopRequireDefault(require("../redux/configureStore"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import redux data
// create redux stories
var reducer = (0, _reducer.default)();
var store = (0, _configureStore.default)({
  reducer: reducer
});

var _default = function _default(Container) {
  return function (props) {
    return _react.default.createElement(_reactRedux.Provider, {
      store: store
    }, _react.default.createElement(Container, props));
  };
};

exports.default = _default;