// @flow

import React from 'react'

type Props = {
  children: any,
  className?: string,
  wrapperClassName?: string,
}

function Text({ children, className, wrapperClassName, ...props }: Props) {
  return (
    <div {...props} className={wrapperClassName}>
      <span className={className}>{children}</span>
    </div>
  )
}

export default Text
