// @flow

import React from 'react'
import { mount } from 'enzyme'
import Video from '../index'

const src = 'https://www.w3schools.com/html/mov_bbb.mp4'

const sources = [
  {
    src,
    type: 'video/mp4',
  },
]

const el = <Video sources={sources} />

describe('Video', () => {
  it('have render', () => {
    const wrapper = mount(el)
    expect(wrapper.find('[data-component="Video"]').length).toEqual(1)
  })
  it('check src', () => {
    const wrapper = mount(el)
    expect(
      wrapper.find('[data-component="Video"] > source').props().src,
    ).toEqual(src)
  })
})
